<?php
	/* To help narrow class selection, we'll pass in variables to determine the scope and group of the classes
	 * 't' for time range will accept 3 possible values
	 * 		1. current
	 * 		2. upcoming
	 * 		3. archive
	 * 'g' for group with accept 7 possible values
	 * 		1. all classes
	 * 		2. yoga 1
	 * 		3. yoga 2
	 * 		4. yoga 3
	 * 		5. meditation
	 * 		6. philosophy
	 * 		7. wellness
	 * 		8. seminars
	 * 
	 */
	
	if (!isset($_GET['t']) || intval($_GET['t']) == 0 || !isset($_GET['g']) || intval($_GET['g']) == 0) {
		//If no time range or class group is selected, go to default -- Upcoming, All Classes
		$time_range = 2;
		$group = 1;
		$page_name = $_GET['page'];
	} else { 
		$time_range = $_GET['t'];
		$group = $_GET['g'];
		$page_name = $_GET['page'];
	}
	
	if (!isset($_GET['cust_id']) || intval($_GET['cust_id']) == 0) {
		$cust_id = 0;
		$registering = false;
	} else {
		$cust_id = $_GET['cust_id']; 
		$registering = true;
	}
	
    $today = today();
    
	//Build the query based on the time range and group -- this could be a function...
	$classes = get_table_name("classes");
	$query = "SELECT * FROM {$classes} ";
	
	if($time_range == 1) //If Current
	{
		$query .= "WHERE end_date >= '{$today}' AND start_date <= '{$today}' AND ";
		$order = "ORDER BY title ASC";
	}
	elseif($time_range == 3) //If Archive
	{
		$query .= "WHERE "; //??????
		$order = "ORDER BY start_date DESC";
	}
	else //If anything else, set to default value of Upcoming
	{
		$time_range = 2;
		$query .= "WHERE start_date > '{$today}' AND ";
		$order = "ORDER BY title ASC";
	}
	
	if($group == 2) //Group is Yoga 1
	{
		$query .= "LEFT(public_id, 2) = 'Y1' ";
	}
	elseif($group == 3) //Group is Yoga 2
	{
		$query .= "LEFT(public_id, 2) = 'Y2' ";
	}
	elseif($group == 4) //Group is Yoga 3
	{
		$query .= "LEFT(public_id, 2) = 'Y3' ";
	}
	elseif($group == 5) //Group is Meditation
	{
		$query .= "meditation = 1 ";
	}
	elseif($group == 6) //Group is Philosophy
	{
		$query .= "philosophy = 1 ";
	}
	elseif($group == 7) //Group is Wellness
	{
		$query .= "wellness = 1 ";
	}
	elseif($group == 8) //Group is Seminars
	{
		$query .= "seminar = 1 ";
	}
	else //If anything else, set to default value of All Classes
	{
		$group = 1;
		$query .= "1=1 "; //This completes the WHERE clause in a way that is always true
	}
	
	$query .= $order;
?>	

<div class="pagination">
  <ul>
    <li <?php if($time_range == 1){ echo "class=\"active\""; } ?>><a href="admin.php?page=<?php echo $page_name; ?>&amp;t=1&amp;g=<?php echo $group; ?><?php if($cust_id != 0){ echo "&amp;cust_id={$cust_id}"; } ?>">Current</a></li>
    <li <?php if($time_range == 2){ echo "class=\"active\""; } ?>><a href="admin.php?page=<?php echo $page_name; ?>&amp;t=2&amp;g=<?php echo $group; ?><?php if($cust_id != 0){ echo "&amp;cust_id={$cust_id}"; } ?>">Upcoming</a></li>
    <?php 
    	if(!$registering){
    		echo "<li";
    		if($time_range == 3){
    			 echo " class=\"active\""; 
			} 
    		echo "><a href=\"admin.php?page={$page_name}&amp;t=3&amp;g=";
    		echo $group;
    		if($cust_id != 0){
    			 echo "&amp;cust_id={$cust_id}"; 
			}  
    		echo "\">Archive</a></li>";
 		}
 	?>
  </ul>
&nbsp;&nbsp;&nbsp;
  <ul>
    <li <?php if($group == 1){ echo "class=\"active\""; } ?>><a href="admin.php?page=<?php echo $page_name; ?>&amp;t=<?php echo $time_range; ?>&amp;g=1<?php if($cust_id != 0){ echo "&amp;cust_id={$cust_id}"; } ?>">All Classes</a></li>
    <li <?php if($group == 2){ echo "class=\"active\""; } ?>><a href="admin.php?page=<?php echo $page_name; ?>&amp;t=<?php echo $time_range; ?>&amp;g=2<?php if($cust_id != 0){ echo "&amp;cust_id={$cust_id}"; } ?>">Yoga 1</a></li>
    <li <?php if($group == 3){ echo "class=\"active\""; } ?>><a href="admin.php?page=<?php echo $page_name; ?>&amp;t=<?php echo $time_range; ?>&amp;g=3<?php if($cust_id != 0){ echo "&amp;cust_id={$cust_id}"; } ?>">Yoga 2</a></li>
    <li <?php if($group == 4){ echo "class=\"active\""; } ?>><a href="admin.php?page=<?php echo $page_name; ?>&amp;t=<?php echo $time_range; ?>&amp;g=4<?php if($cust_id != 0){ echo "&amp;cust_id={$cust_id}"; } ?>">Yoga 3</a></li>
    <li <?php if($group == 8){ echo "class=\"active\""; } ?>><a href="admin.php?page=<?php echo $page_name; ?>&amp;t=<?php echo $time_range; ?>&amp;g=8<?php if($cust_id != 0){ echo "&amp;cust_id={$cust_id}"; } ?>">Seminars</a></li>
    <li <?php if($group == 5){ echo "class=\"active\""; } ?>><a href="admin.php?page=<?php echo $page_name; ?>&amp;t=<?php echo $time_range; ?>&amp;g=5<?php if($cust_id != 0){ echo "&amp;cust_id={$cust_id}"; } ?>">Meditation</a></li>
    <li <?php if($group == 6){ echo "class=\"active\""; } ?>><a href="admin.php?page=<?php echo $page_name; ?>&amp;t=<?php echo $time_range; ?>&amp;g=6<?php if($cust_id != 0){ echo "&amp;cust_id={$cust_id}"; } ?>">Philosophy</a></li>
    <li <?php if($group == 7){ echo "class=\"active\""; } ?>><a href="admin.php?page=<?php echo $page_name; ?>&amp;t=<?php echo $time_range; ?>&amp;g=7<?php if($cust_id != 0){ echo "&amp;cust_id={$cust_id}"; } ?>">Wellness</a></li>
  </ul>
</div>
